;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;British Crown Copyright (c) 2012, the Met Office All rights reserved.
;
;Redistribution and use in source and binary forms, with or without 
;modification, are permitted provided that the following conditions 
;are met:
;
;Redistributions of source code must retain the above copyright notice, 
;this list of conditions and the following disclaimer. 
;
;Redistributions in binary form must reproduce the above copyright 
;notice, this list of conditions and the following disclaimer in the 
;documentation and/or other materials provided with the distribution. 
;
;Neither the name of the Met Office nor the names of its contributors 
;may be used to endorse or promote products derived from this software 
;without specific prior written permission. 
;
;THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
;"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
;LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
;A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
;HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
;SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
;LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
;DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY 
;THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
;(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
;OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;+
; NAME:
;    UNIQUE
; PURPOSE: 
;    Remove duplicate values from a vector
;    (Pv-Wave compatibility routine)
;
; CALLING SEQUENCE:
;    res = UNIQUE(vec)
;
; INPUTS:
;    vec - any array (dimensions ignored)
; RETURN VALUE:
;    res - vector of all distinct values from the input
;
; OPTIONAL INPUTS:
;    None
; KEYWORDS:
;    None
; NOTES:
;   Calls UKMO_UNIQUE
;   the IDL routine, 'UNIQ', works differently
;
; EXAMPLES:
;   vals = UNIQUE(array)
; 
; MODIFICATION HISTORY:
;   See FCM
;-
;
; IDL_STATUS: 2
;
;-------------------------------------------------------------------------------
;      $URL: svn://fcm9/idl_svn/rhel6/trunk/trans/lib/unique.pro $
;   $Author: itam $
;     $Date: 2012-08-29 17:45:37 +0100 (Wed, 29 Aug 2012) $
; $Revision: 317 $
;       $Id: unique.pro 6400 2011-09-26 16:54:27Z itam $
;-------------------------------------------------------------------------------

FUNCTION unique,vector
    RETURN, ukmo_unique(vector)
END
